=== modified file 'olive/backend/commit.py'
--- olive/backend/commit.py	2006-09-04 23:33:13 +0000
+++ olive/backend/commit.py	2006-09-04 23:46:31 +0000
@@ -16,8 +16,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import codecs
-
 import bzrlib
 from bzrlib.errors import NoSuchFile
 
@@ -25,39 +23,6 @@
                     PathPrefixNotCreated, NoLocationKnown,
                     DivergedBranchesError)
 
-def commit(selected_list, message=None, unchanged=False,
-           strict=False, local=False):
-    """ Command to commit changes into the branch.
-    
-    :param selected_list: list of files you want to commit (at least the top working directory has to be specified)
-    
-    :param message: commit message
-    
-    :param file: the file which contains the commit message
-    
-    :param unchanged: force commit if nothing has changed since the last commit
-    
-    :param strict: refuse to commit if there are unknown files in the working tree
-    
-    :param local: perform a local only commit in a bound branch
-    """
-    from bzrlib.builtins import tree_files
-    from bzrlib.commit import NullCommitReporter
-
-    tree, selected_list = tree_files(selected_list)
-    
-    if local and not tree.branch.get_bound_location():
-        raise LocalRequiresBoundBranch
-
-    assert message is not None and len(message) > 0
-
-    # FIXME: This should be a GtkCommitReporter!
-    reporter = NullCommitReporter()
-
-    tree.commit(message, specific_files=selected_list,
-                    allow_pointless=unchanged, strict=strict, local=local,
-                    reporter=reporter)
-
 def push(branch, location=None, remember=False, overwrite=False,
          create_prefix=False):
     """ Update a mirror of a branch.

=== modified file 'olive/backend/fileops.py'
--- olive/backend/fileops.py	2006-09-04 23:33:13 +0000
+++ olive/backend/fileops.py	2006-09-04 23:46:31 +0000
@@ -157,9 +157,7 @@
     
     # find the relative path to the given file (needed for proper delta)
     wtpath = tree1.basedir
-    #print "DEBUG: wtpath =", wtpath
     fullpath = filename
-    #print "DEBUG: fullpath =", fullpath
     i = 0
     wtsplit = wtpath.split('/')
     fpsplit = fullpath.split('/')
@@ -170,40 +168,11 @@
                 del fpcopy[0]
             i = i + 1
     rel = '/'.join(fpcopy)
-    #print "DEBUG: rel =", rel
     
-    if bzrlib.version_info[1] < 9:
-        delta = compare_trees(old_tree=tree2,
-                              new_tree=tree1,
-                              want_unchanged=True,
-                              specific_files=[rel])
-    else:
-        delta = tree1.changes_from(tree2,
+    delta = tree1.changes_from(tree2,
                                    want_unchanged=True,
                                    specific_files=[rel])
     
-    """ Debug information (could be usable in the future, so didn't cut out)
-    print "DEBUG: delta.renamed:"
-    for path, id, kind, text_modified, meta_modified in delta.renamed:
-        print path
-    print
-    print "DEBUG: delta.added:"
-    for path, id, kind in delta.added:
-        print path
-    print
-    print "DEBUG: delta.removed:"
-    for path, id, kind, text_modified, meta_modified in delta.removed:
-        print path
-    print
-    print "DEBUG: delta.modified:"
-    for path, id, kind, text_modified, meta_modified in delta.modified:
-        print path
-    print
-    print "DEBUG: delta.unchanged:"
-    for path, id, kind in delta.unchanged:
-        print path
-    """
-    
     if len(delta.renamed):
         return 'renamed'
     elif len(delta.added):

=== modified file 'olive/backend/info.py'
--- olive/backend/info.py	2006-09-04 23:33:13 +0000
+++ olive/backend/info.py	2006-09-04 23:46:31 +0000
@@ -150,12 +150,7 @@
     """
     from bzrlib.branch import Branch
     
-    try:
-        branch = Branch.open_containing(location)[0]
-    except errors.NotBranchError:
-        raise NotBranchError(location)
-    except:
-        raise
+    branch = Branch.open_containing(location)[0]
     
     return branch.get_push_location()
 
@@ -206,10 +201,7 @@
     import info_helper
     
     ret = {}
-    try:
-        a_bzrdir = bzrdir.BzrDir.open_containing(location)[0]
-    except errors.NotBranchError:
-        raise NotBranchError(location)
+    a_bzrdir = bzrdir.BzrDir.open_containing(location)[0]
 
     try:
         working = a_bzrdir.open_workingtree()
@@ -280,8 +272,6 @@
         branch = Branch.open_containing(location)[0]
     except errors.NotBranchError:
         return False
-    except errors.PermissionDenied:
-        raise PermissionDenied(location)
     else:
         return True
         
@@ -293,10 +283,7 @@
     
     :return: True or False respectively
     """
-    try:
-        branch = Branch.open_containing(location)[0]
-    except errors.NotBranchError:
-        raise NotBranchError
+    branch = Branch.open_containing(location)[0]
     
     try:
         working = WorkingTree.open_containing(location)[0]

=== modified file 'olive/frontend/gtk/commit.py'
--- olive/frontend/gtk/commit.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/commit.py	2006-09-04 23:46:31 +0000
@@ -31,10 +31,6 @@
 
 from bzrlib import version_info
 
-if version_info < (0, 9):
-    # function deprecated after 0.9
-    from bzrlib.delta import compare_trees
-
 import bzrlib.errors as errors
 from bzrlib.workingtree import WorkingTree
 

